Bug 1346288 - Server returning error 500 after large package upload
Summary: Server returning error 500 after large package upload
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Copr
Classification: Community
Component: frontend
Version: unspecified
Hardware: All
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: clime
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-06-14 13:14 UTC by Helio Chissini de Castro
Modified: 2016-10-03 20:21 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-09-12 17:06:30 UTC


Attachments (Terms of Use)

Description Helio Chissini de Castro 2016-06-14 13:14:32 UTC
After a large srpm package been uploaded, using both copr-cli or web interface, the system returns:

Error 500 : Internal Server Error 

Even with this situation, copr tries to compile an broken package and keeps failing on every new build

Comment 1 Miroslav Suchý 2016-06-22 06:29:20 UTC
@clime you can test this on 0ad package
  http://koji.fedoraproject.org/koji/packageinfo?packageID=14762
It is probably biggest open source SRPM I ever seen - 1GB.
But please test it on dev instance only, so it does not eat our storage on production too quickly.

Comment 2 clime 2016-06-22 08:48:15 UTC
I tested it on the 0ad package and it went fine. 

The issue was caused by search index updates and this part is still a bit problematic cause the updates take ~1s (and even more) according to my tests so in rare cases the timeout 20s (current configured value) might not be enough. If that happens, we will probably opt to batch re-indexing a few times a day.

The following commits were made to fix this issue:
https://github.com/fedora-copr/flask-whooshee/commit/bef1253a
https://github.com/fedora-copr/copr/commit/e26bb061
https://github.com/fedora-copr/copr/commit/c4654aad

Comment 3 Fedora Update System 2016-07-01 14:44:49 UTC
copr-frontend-1.97-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-2a2eeb10a9

Comment 4 Fedora Update System 2016-07-01 14:44:54 UTC
copr-frontend-1.97-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-ec39f79e18

Comment 5 Fedora Update System 2016-07-02 20:29:32 UTC
copr-frontend-1.97-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-2a2eeb10a9

Comment 6 Fedora Update System 2016-07-02 20:55:11 UTC
copr-frontend-1.97-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-ec39f79e18

Comment 7 Fedora Update System 2016-07-12 15:06:55 UTC
copr-frontend-1.97-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2016-08-17 14:43:46 UTC
copr-frontend-1.99-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-c38bc25dbc

Comment 9 Fedora Update System 2016-08-18 01:50:27 UTC
copr-frontend-1.99-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-c38bc25dbc

Comment 10 clime 2016-08-18 16:22:25 UTC
New Copr has been released.

Comment 11 Fedora Update System 2016-09-12 06:25:28 UTC
copr-frontend-1.101-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-5a3cdc5801

Comment 12 Fedora Update System 2016-09-12 14:50:55 UTC
copr-frontend-1.101-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-5a3cdc5801

Comment 13 Fedora Update System 2016-10-03 20:21:04 UTC
copr-frontend-1.101-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.